### Method

# Fwupd JsonObject has_node

since: 2.1.1

#### Declaration [src]

    gboolean
    fwupd_json_object_has_node (
      FwupdJsonObject* self,
      const gchar* key
    )

#### Description [src]

Finds if a node exists in a JSON object.

In general, it’s nearly always better to call the type-specific method directly e.g. `fwupd_json_object_get_string()` and handle the error.

Available since: 2.1.1

This method is not directly available to language bindings.

#### Parameters

`key`

  Type: `const gchar*`

  Dictionary key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if a node exists with the key.